#pragma once

#include <LibQtGeoViewerCore/SceneMain.h>

#include <QMainWindow>
#include "ui_FormPyScript.h"



class View3D;
class View2D;


class FormPyScript : public QMainWindow
{
	Q_OBJECT

public:
	FormPyScript(QWidget *parent = 0);
	~FormPyScript();

private:
	void ResetToDefaultScript(void);

private slots:
	void on_actionRun_triggered();
	void on_actionConsole_triggered();

	void on_actionReset_triggered();

public:
	SceneMain* m_Scene;
	View3D* m_View3d;
	View2D* m_View2d;

private:
	Ui::FormPyScript ui;
};
